USN-6406-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6406-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6406-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6406-1
Related
  • CVE-2023-4046
Published
2023-10-03T14:04:07.887305Z
Modified
2023-10-03T14:04:07.887305Z
Summary
mozjs102 vulnerabilities
Details

Several security issues were discovered in the SpiderMonkey JavaScript library. If a user were tricked into opening malicious JavaScript applications or processing malformed data, a remote attacker could exploit a variety of issues related to JavaScript security, including denial of service attacks, and arbitrary code execution.

References

Affected packages

Ubuntu:22.04:LTS / mozjs102

Package

Name
mozjs102

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
102.15.1-0ubuntu0.22.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libmozjs-102-0": "102.15.1-0ubuntu0.22.04.1",
            "libmozjs-102-dev": "102.15.1-0ubuntu0.22.04.1"
        }
    ]
}